module dnn
import ..OpenCV


const segment = OpenCV.dnn_segment
const SegmentationModel = OpenCV.dnn_SegmentationModel
const detect = OpenCV.dnn_detect
const DetectionModel = OpenCV.dnn_DetectionModel
const classify = OpenCV.dnn_classify
const ClassificationModel = OpenCV.dnn_ClassificationModel
const predict = OpenCV.dnn_predict
const setInputScale = OpenCV.dnn_setInputScale
const setInputParams = OpenCV.dnn_setInputParams
const setPreferableTarget = OpenCV.dnn_setPreferableTarget
const setInputSwapRB = OpenCV.dnn_setInputSwapRB
const setInputSize = OpenCV.dnn_setInputSize
const setInputCrop = OpenCV.dnn_setInputCrop
const setInputMean = OpenCV.dnn_setInputMean
const Model = OpenCV.dnn_Model
const estimate = OpenCV.dnn_estimate
const KeypointsModel = OpenCV.dnn_KeypointsModel
const dump = OpenCV.dnn_dump
const getFLOPS = OpenCV.dnn_getFLOPS
const getParam = OpenCV.dnn_getParam
const setInput = OpenCV.dnn_setInput
const getMemoryConsumption = OpenCV.dnn_getMemoryConsumption
const setPreferableBackend = OpenCV.dnn_setPreferableBackend
const setParam = OpenCV.dnn_setParam
const enableFusion = OpenCV.dnn_enableFusion
const setInputShape = OpenCV.dnn_setInputShape
const empty = OpenCV.dnn_empty
const forward = OpenCV.dnn_forward
const forwardAsync = OpenCV.dnn_forwardAsync
const getPerfProfile = OpenCV.dnn_getPerfProfile
const dumpToFile = OpenCV.dnn_dumpToFile
const Net = OpenCV.dnn_Net
const readNetFromCaffe = OpenCV.dnn_readNetFromCaffe
const shrinkCaffeModel = OpenCV.dnn_shrinkCaffeModel
const blobFromImages = OpenCV.dnn_blobFromImages
const readNetFromONNX = OpenCV.dnn_readNetFromONNX
const readNetFromDarknet = OpenCV.dnn_readNetFromDarknet
const readTorchBlob = OpenCV.dnn_readTorchBlob
const imagesFromBlob = OpenCV.dnn_imagesFromBlob
const readNetFromTorch = OpenCV.dnn_readNetFromTorch
const Net_readFromModelOptimizer = OpenCV.dnn_Net_readFromModelOptimizer
const readTensorFromONNX = OpenCV.dnn_readTensorFromONNX
const NMSBoxes = OpenCV.dnn_NMSBoxes
const NMSBoxesRotated = OpenCV.dnn_NMSBoxesRotated
const writeTextGraph = OpenCV.dnn_writeTextGraph
const readNetFromModelOptimizer = OpenCV.dnn_readNetFromModelOptimizer
const blobFromImage = OpenCV.dnn_blobFromImage
const readNet = OpenCV.dnn_readNet
const readNetFromTensorflow = OpenCV.dnn_readNetFromTensorflow
    const DNN_BACKEND_CUDA = OpenCV.cv_dnn_DNN_BACKEND_CUDA
    const DNN_BACKEND_DEFAULT = OpenCV.cv_dnn_DNN_BACKEND_DEFAULT
    const DNN_BACKEND_HALIDE = OpenCV.cv_dnn_DNN_BACKEND_HALIDE
    const DNN_BACKEND_INFERENCE_ENGINE = OpenCV.cv_dnn_DNN_BACKEND_INFERENCE_ENGINE
    const DNN_BACKEND_OPENCV = OpenCV.cv_dnn_DNN_BACKEND_OPENCV
    const DNN_BACKEND_TIMVX = OpenCV.cv_dnn_DNN_BACKEND_TIMVX
    const DNN_BACKEND_VKCOM = OpenCV.cv_dnn_DNN_BACKEND_VKCOM
    const DNN_BACKEND_WEBNN = OpenCV.cv_dnn_DNN_BACKEND_WEBNN
    const DNN_TARGET_CPU = OpenCV.cv_dnn_DNN_TARGET_CPU
    const DNN_TARGET_CUDA = OpenCV.cv_dnn_DNN_TARGET_CUDA
    const DNN_TARGET_CUDA_FP16 = OpenCV.cv_dnn_DNN_TARGET_CUDA_FP16
    const DNN_TARGET_FPGA = OpenCV.cv_dnn_DNN_TARGET_FPGA
    const DNN_TARGET_HDDL = OpenCV.cv_dnn_DNN_TARGET_HDDL
    const DNN_TARGET_MYRIAD = OpenCV.cv_dnn_DNN_TARGET_MYRIAD
    const DNN_TARGET_NPU = OpenCV.cv_dnn_DNN_TARGET_NPU
    const DNN_TARGET_OPENCL = OpenCV.cv_dnn_DNN_TARGET_OPENCL
    const DNN_TARGET_OPENCL_FP16 = OpenCV.cv_dnn_DNN_TARGET_OPENCL_FP16
    const DNN_TARGET_VULKAN = OpenCV.cv_dnn_DNN_TARGET_VULKAN
    const SoftNMSMethod_SOFTNMS_GAUSSIAN = OpenCV.cv_dnn_SoftNMSMethod_SOFTNMS_GAUSSIAN
    const SOFT_NMSMETHOD_SOFTNMS_GAUSSIAN = OpenCV.cv_dnn_SOFT_NMSMETHOD_SOFTNMS_GAUSSIAN;
    const SoftNMSMethod_SOFTNMS_LINEAR = OpenCV.cv_dnn_SoftNMSMethod_SOFTNMS_LINEAR
    const SOFT_NMSMETHOD_SOFTNMS_LINEAR = OpenCV.cv_dnn_SOFT_NMSMETHOD_SOFTNMS_LINEAR;



end